## ros-indigo-qt-dotgraph 0.2.33

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(qt_dotgraph)

find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

if (CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)
endif()

=== debian/changelog ===
ros-indigo-qt-dotgraph (0.2.33-0trusty) trusty; urgency=high

  * limited backport of recursive subgraph parsing (#117 <https://github.com/ros-visualization/qt_gui_core/issues/117>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 22 May 2018 07:00:00 -0000

ros-indigo-qt-dotgraph (0.2.32-0trusty) trusty; urgency=high

  * fix label size in dot graphs (#75 <https://github.com/ros-visualization/qt_gui_core/pull/75>)
  * work with newer pydot versions (#70 <https://github.com/ros-visualization/qt_gui_core/pull/70>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 27 Jan 2017 08:00:00 -0000

ros-indigo-qt-dotgraph (0.2.31-0trusty) trusty; urgency=high

  * make penwidth attribute optional

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 02 Nov 2016 07:00:00 -0000

ros-indigo-qt-dotgraph (0.2.30-0trusty) trusty; urgency=high

  * use same color for arrows as for the edge (#60 <https://github.com/ros-visualization/qt_gui_core/issues/60>)
  * add ability to specify tooltips for nodes (#61 <https://github.com/ros-visualization/qt_gui_core/pull/61>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 30 Mar 2016 07:00:00 -0000

ros-indigo-qt-dotgraph (0.2.29-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-indigo-qt-dotgraph (0.2.28-0trusty) trusty; urgency=high

  * skip subgraphs without a bounding box (ros-visualization/rqt_common_plugins#321 <https://github.com/ros-visualization/rqt_common_plugins/issues/321>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 08 Jun 2015 07:00:00 -0000

ros-indigo-qt-dotgraph (0.2.27-0trusty) trusty; urgency=high

  * add optional style argument for edges (#51 <https://github.com/ros-visualization/qt_gui_core/pull/51>)
  * fix tests (#53 <https://github.com/ros-visualization/qt_gui_core/pull/53>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 Apr 2015 07:00:00 -0000

ros-indigo-qt-dotgraph (0.2.26-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-indigo-qt-dotgraph (0.2.25-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 07:00:00 -0000

ros-indigo-qt-dotgraph (0.2.24-0trusty) trusty; urgency=high

  * add work around for pydot bug in Saucy (#42 <https://github.com/ros-visualization/qt_gui_core/issues/42>)
  * fix regression 0.2.23 (#41 <https://github.com/ros-visualization/qt_gui_core/issues/41>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 May 2014 07:00:00 -0000

ros-indigo-qt-dotgraph (0.2.23-0trusty) trusty; urgency=high

  * add support for edge coloring and changing of pen width

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-indigo-qt-dotgraph (0.2.22-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Mar 2014 08:00:00 -0000

ros-indigo-qt-dotgraph (0.2.21-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Feb 2014 08:00:00 -0000

ros-indigo-qt-dotgraph (0.2.20-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 19 Jan 2014 08:00:00 -0000

ros-indigo-qt-dotgraph (0.2.19-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 08:00:00 -0000

ros-indigo-qt-dotgraph (0.2.18-0trusty) trusty; urgency=high

  * improve startup time (#28 <https://github.com/ros-visualization/qt_gui_core/issues/28>)
  * added kwarg for subgraphlabel
  * change maintainer of qt_dotgraph (#27 <https://github.com/ros-visualization/qt_gui_core/issues/27>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Oct 2013 07:00:00 -0000

ros-indigo-qt-dotgraph (0.2.17-0trusty) trusty; urgency=high

  * fix the name/label issue with pygraphviz

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-indigo-qt-dotgraph (0.2.16-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Jun 2013 07:00:00 -0000

ros-indigo-qt-dotgraph (0.2.15-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 02 Apr 2013 07:00:00 -0000

ros-indigo-qt-dotgraph (0.2.14-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 29 Mar 2013 05:42:00 -0000

ros-indigo-qt-dotgraph (0.2.13-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 29 Mar 2013 01:08:00 -0000

ros-indigo-qt-dotgraph (0.2.12-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Jan 2013 08:00:00 -0000

ros-indigo-qt-dotgraph (0.2.11-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 13 Jan 2013 08:00:00 -0000

ros-indigo-qt-dotgraph (0.2.10-0trusty) trusty; urgency=high

  * skip subgraphs with empty bounding box
  * use color for pydot subgraphs
  * fix (not used) pygraphviz backend

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Jan 2013 08:00:00 -0000

ros-indigo-qt-dotgraph (0.2.9-0trusty) trusty; urgency=high

  * first public release for Groovy

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 Dec 2012 08:00:00 -0000

=== debian/control ===
Source: ros-indigo-qt-dotgraph
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), python-pygraphviz, ros-indigo-catkin
Homepage: http://ros.org/wiki/qt_dotgraph
Standards-Version: 3.9.2

Package: ros-indigo-qt-dotgraph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-pydot, ros-indigo-python-qt-binding
Description: qt_dotgraph provides helpers to work with dot graphs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-qt-dotgraph//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
